<?php

namespace ZenoChatbot\Services\Indexing\Contracts;

interface IndexStrategyInterface
{
    public function key(): string;

    /**
     * @return array<string,mixed>
     */
    public function index(): array;

    /**
     * @return array<string,mixed>
     */
    public function get(): array;

    /**
     * @return array<string,mixed>
     */
    public function clear(): array;

    /**
     * @return array<string,mixed>
     */
    public function stats(): array;
}
